{ config, pkgs, ... }:
{
	home.username = "th3r00t";
	home.homeDirectory = "/home/th3r00t";
	home.file.".local/usr/bin" = {
		source = ./home/.local/usr/bin;
		recursive = true;
		executable = true; 
	};
	home.file.".local/usr/lib/blightmud" = {
		source = ./home/.local/usr/lib/blightmud;
		recursive = true;
		executable = true; 
	};
	home.file.".config/nvim" = {
		source = ./home/config/nvim;
		recursive = true;
		executable = true; 
	};
	home.file.".irssi" = {
		source = ./home/.irssi;
		recursive = true;
		executable = true; 
	};
	home.file.".ssh/allowed_signers".text = ''
		* ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIH8P/3yzsruekSaZ9b+yk429VTcfCtI1j8jnkNbPAgnr th3r00t@nixos
	'';
	imports = [
		# modules/hyprland.nix
		modules/home-manager-common.nix
	];
	xdg.enable = true;
	programs.nix-index.enable = true;
	fonts.fontconfig.enable = false;
	home.sessionVariables = {
		EDITOR = "nvim";
		BROWSER = "qutebrowser";
		PLATFORMTHEME = "kde";
	};
	home.packages = with pkgs; [
	];
	home.stateVersion = "25.05";
}
